commit:     7404e940c69f60ca13b43b16c0546cecd95e9547
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 19 02:24:31 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Aug 19 02:41:23 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7404e940

dev-python/requests: Bump to 2.32.5

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/requests/Manifest               |  1 +
 dev-python/requests/requests-2.32.5.ebuild | 65 ++++++++++++++++++++++++++++++
 2 files changed, 66 insertions(+)

diff --git a/dev-python/requests/Manifest b/dev-python/requests/Manifest
index 777c8b683d53..4f13ccf67b68 100644
--- a/dev-python/requests/Manifest
+++ b/dev-python/requests/Manifest
@@ -1 +1,2 @@
 DIST requests-2.32.4.tar.gz 135258 BLAKE2B 
2ae4706d3a07b8484f9cddcb80a56121ecc2f16c345f6d518a259c45d20584d09e62eabb6e60ea76c2f558b5950c29e947c5ccb453774b1aeb953f5147c68f83
 SHA512 
8308da5ec2b1bd4442497dc8ecb21d4c1d3aba82987a264bc0f55b75d2522b303e5779f704d1b557a0f7d8a8f0a3533925cc34a58d98a95ce463a0dd59c5ac2d
+DIST requests-2.32.5.tar.gz 134517 BLAKE2B 
82bb875be132b815fd8eb51c896f41bdd3f16ef335f7a273d2b27d139f1a587d0cdcfae5975ce366426687b42796af1d65317d24e8e6cd069864bc259da9942f
 SHA512 
2fbc05f5b638cefe59b9edaac86d53666d0416cebdbe8343caa818cae677a733c1f3a9ae62ef5c880b77cf706a2e3da57e0783d8936bda128f071367524189de

diff --git a/dev-python/requests/requests-2.32.5.ebuild 
b/dev-python/requests/requests-2.32.5.ebuild
new file mode 100644
index 000000000000..ea6651e68cf5
--- /dev/null
+++ b/dev-python/requests/requests-2.32.5.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} pypy3_11 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="HTTP library for human beings"
+HOMEPAGE="
+       https://requests.readthedocs.io/
+       https://github.com/psf/requests/
+       https://pypi.org/project/requests/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+IUSE="socks5 test-rust"
+
+RDEPEND="
+       >=dev-python/certifi-2017.4.17[${PYTHON_USEDEP}]
+       <dev-python/charset-normalizer-4[${PYTHON_USEDEP}]
+       <dev-python/idna-4[${PYTHON_USEDEP}]
+       <dev-python/urllib3-3[${PYTHON_USEDEP}]
+       socks5? ( >=dev-python/pysocks-1.5.6[${PYTHON_USEDEP}] )
+"
+
+BDEPEND="
+       test? (
+               >=dev-python/pysocks-1.5.6[${PYTHON_USEDEP}]
+               test-rust? (
+                       dev-python/trustme[${PYTHON_USEDEP}]
+               )
+       )
+"
+
+EPYTEST_PLUGINS=( pytest-{httpbin,mock} )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # Internet (doctests)
+               requests/__init__.py::requests
+               requests/api.py::requests.api.request
+               requests/models.py::requests.models.PreparedRequest
+               requests/sessions.py::requests.sessions.Session
+               # require IPv4 interface in 10.* range
+               tests/test_requests.py::TestTimeout::test_connect_timeout
+               tests/test_requests.py::TestTimeout::test_total_timeout_connect
+       )
+
+       if ! has_version "dev-python/trustme[${PYTHON_USEDEP}]"; then
+               EPYTEST_DESELECT+=(
+                       
tests/test_requests.py::TestRequests::test_https_warnings
+               )
+       fi
+
+       epytest
+}

Reply via email to